{{
''*******************************************
''*  Beeper Object to run crystal           *
''*  Author: Tim Meyers                     *
''*******************************************

Revision History:
  Version 1.0   - (02/15/2012) initial release
               
}}
CON
  _CLKMODE      = XTAL1 + PLL16X
  _XINFREQ      = 5_000_000
  
OBJ
  sw    :       "squarewave"    ' makes square waves on any pin (for buzzer).

VAR
  Long GrnPin 
  Long BuzzPin 
  Long BuzzFreq 

 
PUB BeepTest                    '' quick test of buzzer on proto board.
  ' tests buzzer only on proto board.
  GrnPin := 20
  BuzzPin := 23            ' pin to connect to buzzer (other lead grounded)
  BuzzFreq := 4000          ' pulse frequency in Hz
  outa[GrnPin]~

  repeat 3
    Beep(5)
    Pause(5)

PUB Stop
  ctra~
  dira[GrnPin]~

PUB Start(Buzz, aFreq, aGrn)
  GrnPin := aGrn
  BuzzPin := Buzz            ' pin to connect to buzzer (other lead grounded)
  BuzzFreq := aFreq          ' pulse frequency in Hz
    
PUB Beep(p)
  if p==0
    dira[GrnPin]~
  else
    dira[GrnPin]~~
    Outa[BuzzPin]~                                      ' zero buzz pin just incase
    SW.Freq(0,BuzzPin,BuzzFreq)                         ' preprogram buzzer at 4khz
    pause(p)                                            ' wait 1/p second
    ctra~                                               ' turn it off

PUB Pause(n)
  if n > 0
    waitcnt(clkfreq/n + cnt)